- Qt 6.8
- Qt Widgets
- C++ Classes
- QGraphicsAnchor
- Qt 6.8.3 Reference Documentation

# QGraphicsAnchor Class

The QGraphicsAnchor class represents an anchor between two items in a QGraphicsAnchorLayout. More...

Header: | `#include <QGraphicsAnchor>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QObject

- List of all members, including inherited members

## Properties

- sizePolicy : QSizePolicy::Policy
- spacing : qreal

## Public Functions

virtual | ~QGraphicsAnchor()
void | setSizePolicy(QSizePolicy::Policy policy)
void | setSpacing(qreal spacing)
QSizePolicy::Policy | sizePolicy() const
qreal | spacing() const
void | unsetSpacing()

## Detailed Description

The graphics anchor provides an API that enables you to query and manipulate the properties an anchor has. When an anchor is added to the layout with QGraphicsAnchorLayout::addAnchor(), a QGraphicsAnchor instance is returned where the properties are initialized to their default values. The properties can then be further changed, and they will be picked up the next time the layout is activated.

See also QGraphicsAnchorLayout::anchor().

## Property Documentation

### sizePolicy : QSizePolicy::Policy

This property holds the size policy for the QGraphicsAnchor.

By setting the size policy on an anchor you can configure how the anchor can resize itself from its preferred spacing. For instance, if the anchor has the size policy QSizePolicy::Minimum, the spacing is the minimum size of the anchor. However, its size can grow up to the anchors maximum size. If the default size policy is QSizePolicy::Fixed, the anchor can neither grow or shrink, which means that the only size the anchor can have is the spacing. QSizePolicy::Fixed is the default size policy. QGraphicsAnchor always has a minimum spacing of 0 and a very large maximum spacing.

Access functions:

QSizePolicy::Policy | sizePolicy() const
void | setSizePolicy(QSizePolicy::Policy policy)

See also QGraphicsAnchor::spacing.

### spacing : qreal

This property holds the preferred space between items in the QGraphicsAnchorLayout.

Depending on the anchor type, the default spacing is either 0 or a value returned from the style.

Access functions:

qreal | spacing() const
void | setSpacing(qreal spacing)
void | unsetSpacing()

See also QGraphicsAnchorLayout::addAnchor().

## Member Function Documentation

### `[virtual noexcept]` QGraphicsAnchor::~QGraphicsAnchor()

Removes the QGraphicsAnchor object from the layout and destroys it.